#!/bin/sh

echo "d3d " 
echo "INSTALL is " $INSTALL
echo "DOMAIN is " $DOMAIN
echo "TLD is " $TLD
echo "DATA_HOME is " $DATA_HOME
DOCKER_HOSTNAME=$DOMAIN.$TLD
echo "DOCKER HOSTNAME is " $DOCKER_HOSTNAME
DESTINATION=$DATA_HOME/$DOCKER_HOSTNAME

# is there a LE key? if not, run naked
NAKED="FALSE"
FILE=/etc/letsencrypt/fullchain.pem
if [ ! -f "$FILE" ]; then
    echo "$FILE does not exists, go naked."
    NAKED="TRUE"
fi

FILE=/src/app/static/index.html
if [ ! -f "$FILE" ]; then
  mkdir -p /src/app/static && cp -p /root/x/src/app/static/index.html /src/app/static/index.html
  echo "executing installation of $FILE"
else 
  echo "file $FILE exist"
fi

FILE=/var/log/nginx/error.log
if [ ! -f "$FILE" ]; then
  mkdir -p /var/lib && cp -R -p /root/x/var/lib/* /var/lib
  mkdir -p /var/log && cp -R -p /root/x/var/log/* /var/log
  mkdir -p /var/log/nginx
  touch /var/log/nginx/error.log
  touch /var/log/nginx/access.log
  echo "executing installation of $FILE"
else 
  echo "file $FILE exist"
fi

cd /src
echo "starting app"
if [ "$NAKED" ]; then
nginx -c /etc/nginx/nginx-naked.conf && flask run --host=0.0.0.0  --port=5000
else
nginx && flask run --host=0.0.0.0  --port=5000
fi
#cp /etc/letsencrypt/live/$DOCKER_HOSTNAME/fullchain.pem /etc/letsencrypt/fullchain.pem
#cp /etc/letsencrypt/live/$DOCKER_HOSTNAME/privkey.pem /etc/letsencrypt/privkey.pem
#nginx && fail2ban-server && waitress-serve --listen=127.0.0.1:5000 app:app

