#!/bin/bash

#BASE_URL="http://localhost:5000"  # Replace with your server's base URL
BASE_URL="https://demo.ephorsec.com"  # Replace with your server's base URL

HEADERS=-H'accept:application/json'\ -H' x-api-key:another_test_api_key'

# usage
# curl -X GET $BASE_URL/api/entities $HEADERS



# Define the assert function
assert() {
  local actual=$1
  local expected=$2
  local message=$3

  if [ "$expected" != "$actual" ]; then
    echo "Assertion failed: $message"
    echo "Expected: $expected"
    echo "Actual: $actual"
    exit 1
  fi
}
# usage
# assert "$a" "$b" "a should equal b"

# Cubes =======================================================================
echo "get entities"
curl -X GET $BASE_URL/api/entities $HEADERS

echo "get cubes"
curl -X GET $BASE_URL/api/cubes $HEADERS

echo "get dummy cube"
curl -X GET $BASE_URL/api/cubes/dummy $HEADERS


echo "get non_existing cube"
curl -X GET $BASE_URL/api/cubes/non_existing $HEADERS


echo "get particular box with wrong type coord"
payload='{"coordinate": ["Assets", "Users", "Global", "Admins"],"id": "admin0001"}' # get this box
curl -X GET $BASE_URL/api/cubes/test/boxes $HEADERS -d $payload

