'''

To run the tests, execute the following command in your terminal:

pytest test_coordinate.py

'''


import pytest
#from datetime import datetime
from .user import User, Users
#import json

@pytest.fixture
def setup_tree():
    users = Users()
    users.load()
    return users

def test_initialization(setup_tree):
    users = setup_tree
    assert users.get_users() != "owner"

def test_chk_user_data(setup_tree):
    users = setup_tree
    assert users.chk_user_data() == True

def test_is_password(setup_tree):
    users = setup_tree
    assert users.is_password('alice', 'password1')
    assert users.is_password('alic', 'password1') == False
    assert users.is_password('alice', 'password') == False

def test_is_user(setup_tree):
    users = setup_tree
    assert users.is_user('alice')
    assert users.is_user('alic') == False

def test_is_block_user(setup_tree):
    users = setup_tree
    assert users.get_user('alice')    
    assert False == users.is_block_user('alice') # is it blocked?
    assert False == users.block_user('user','alice') # block it, no success
    assert False == users.is_block_user('alice') # is it blocked? now, NO
    assert True == users.block_user('owner','alice') # this should block
    assert True == users.is_block_user('alice') # blocke now?
    assert False == users.unblock_user('admin','alice') # unblock as admin, alice is admin?
    assert True == users.unblock_user('owner','alice') # unblock as owner, alice is admin?    
    assert False == users.is_block_user('alice') # blocke now?

def test_new_user(setup_tree):
    users = setup_tree
    assert users.new_user('user', 'evan', 'Evan E', 'password5', 'user') == False
    assert users.new_user('admin', 'evan', 'Evan E', 'password5', 'user') == True


def test_del_user(setup_tree):
    users = setup_tree
    assert users.del_user('user', 'alice') == False
    assert users.del_user('admin', 'alice') == True


def test_update_user(setup_tree):
    users = setup_tree
    assert users.new_user('admin', 'evan', 'Evan E', 'password5', 'user') == True
    #assert users.update_user({'username': 'evan', 'gecos': 'David D', 'role': 'admin', 'password': 'password4', 'isLocked': False}) == True    


if __name__ == "__main__":
    pytest.main()
 
